//
//  BFVoiceCategoryCell.swift
//  BFRecordScreenKit
//
//  Created by ak on 2022/2/15.
//

import Foundation
import BFMediaKit
import BFUIKit
import BFCommonKit
import UIKit

class BFVoiceCategoryCell: UICollectionViewCell {
 
 
    lazy var nameLab: UILabel = {
        let nameLab = UILabel()
        nameLab.textColor =  UIColor.hexColor(hexadecimal: "#616161")
        nameLab.font = UIFont.boldSystemFont(ofSize: 15)
        nameLab.textAlignment = .center
        return nameLab
    }()
 

    override init(frame: CGRect) {
        super.init(frame: frame)
        backgroundColor = UIColor.clear
 
        contentView.addSubview(nameLab)
 
    }

    required init?(coder _: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }

    @objc class func setCategory(collectionView: UICollectionView, indexPath: IndexPath) -> BFVoiceCategoryCell {
        let cell: BFVoiceCategoryCell = collectionView.dequeueReusableCell(withReuseIdentifier: "BFVoiceCategoryCell", for: indexPath) as! BFVoiceCategoryCell
        return cell
    }

    var category: BFVoiceCategoryModel? {
        didSet {
            addData()
            addLayout()
        }
    }
 
    func addData() {
        nameLab.text = category?.cateName
        nameLab.textColor = (category?.isSelected ?? false) ? UIColor.white :  UIColor.hexColor(hexadecimal: "#616161")
    }

    func addLayout() {
        nameLab.snp.makeConstraints { make in
            make.left.equalToSuperview()
            make.width.equalToSuperview()
            make.height.equalToSuperview()
            make.top.equalToSuperview()

        }
 
    }
}


class BFVoiceCategoryModel: NSObject {
    
    var cateName:String = ""
    var cateID:Int = 0
    var isSelected:Bool = false
    
    
}
